Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

We need to migrate Bitnami Redmine version 1.2.0 to version 2.4.2 (Windows).

Can you send as an instructions step by step to do this migration.

We follow the instructions that are in helping Redmine but these do not work.

We are at your disposition.

Best regards

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

http://wiki.bitnami.com/Components/MySQL#How_to_create_a_database_backup.3f

wiki.bitnami.com/Native_Installers_Quick_Start_Guide#How_to_upgrade_the_full_Stack_migrating_the_data.3f

History

#1 - 2014-02-05 23:16 - Mastan Prasad Chinni

I am also not able to update from 1.2.1 to 2.4.2. I have followed the steps as shown in the below link :

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade?version=53

Help me on this.

Thanks.

#2 - 2014-02-06 09:11 - Daniele Pedroni

What di you mean with "it doesn't work"?

Please detail your problem, if you look for some help.

#3 - 2014-02-06 15:22 - Mastan Prasad Chinni

I had followed the steps in the document.

Steps:

1> I have taken the files, mysql and sqlite backup.

2> Downloaded the Redmine 2.4.2 zip file and extracted to a folder redmine 2.4.2.

3> Copied the config/database.yml into the new config directory.

4> Copied the files directory content into new installation folder.

5> I don't have the session_store.rb file, so i had generated the file using "rake generate_session_store" command.

6> Copied the public/themes into newly created directory.

7> Executed the database upgrade command "rake db:migrate RAILS_ENV=production".

8> Executed the plugins upgrade command "rake db:migrate_plugins RAILS_ENV=production".

9> Cleared the cache and session data.

10> Restarted the application server. Restarted all the redmine services.

After that i have check the version of Adminstration/Information page, still it is showing the old version - 1.2.1 stable.

It looks, it is using old version only.

Now can you please tell, what i had missed the steps of upgrade?

Thanks in advance.

#4 - 2014-02-06 19:07 - Jean-Philippe Lang
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
http://wiki.bitnami.com/Components/MySQL#How_to_create_a_database_backup.3f
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade?version=53


- Status changed from New to Closed

- Resolution set to Invalid

Please, no technical support requests here in the issue tracker.
